package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ComissaoLog;
import com.rjconsultores.ventaboletos.vo.comissao.ComissaoLogVO;

public interface ComissaoLogDAO extends GenericDAO<ComissaoLog, Integer> {
	
	public void limparComissaoLog(Integer empresaId, Integer puntoVentaId, Date dataInicial, Date dataFinal);
	
	public void suscribirTodos(List<ComissaoLogVO> lsComissaoLogVO);

}
