package com.rjconsultores.ventaboletos.dao;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.entidad.ContaCorrentePtoVta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ContaCorrenteAgenciaDAO extends GenericDAO<ContaCorrentePtoVta, Long> {

	public ContaCorrentePtoVta gravarContaCorrente(Integer itemPuntoVentaId, String descOperacion, Date fecCorte, Integer usuarioId, Integer tipoOperacionCCId, 
			Integer empresaId, short turnoId, BigDecimal importeTotalTarifa, BigDecimal importeTotalPedagio, BigDecimal importeTotalTasaAbordaje, 
			BigDecimal importeTotalSeguro, BigDecimal importeTotalIngreso, BigDecimal importeTotalEgreso, BigDecimal importeTotalDevolucion, 
			BigDecimal importeTotalTransferencia, BigDecimal importeFinal, boolean corteAutomatico, 
			BigDecimal totalVentaSegOpcional, BigDecimal totalCancSegOpcional, BigDecimal importeTotalEfectivo ) throws BusinessException;

}
