package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PricingFormapagoDAO;
import com.rjconsultores.ventaboletos.entidad.PricingFormapago;

@Repository("pricingFormapagoDAO")
public class PricingFormapagoHibernateDAO extends GenericHibernateDAO<PricingFormapago, Integer> implements PricingFormapagoDAO {

	@Autowired
	public PricingFormapagoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

}
