/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.entidad.Boleto;

/**
 * 
 * @author Fabricio
 */
public interface BoletoService {

	public Boleto buscarPeloImeiDoDispositivo(String imei);

	public Boleto suscribir(Boleto boleto);

	public void criaBoletoReserva(String unoAsientoSelec, Integer unaCorridaId, Date unaFecCorrida, Integer unoTerminalOrigenId, 
			Integer unoTerminalDestinoId, Integer unoTipoVenta, Integer unaCategoriaSelec, String unoNumeOperacion, Integer unUsuarioId, 
			Integer unPuntoVenta, Integer unClienteId, Integer rutaId, BigDecimal tarifa, Long tempoReserva, Integer estacionId, String cpf, 
			String numFidelidade, Integer claseservicioId, Short marcaId,  Date fecViaje,  Integer empresaCorridaId, String nombPassageiro, 
			BigDecimal valorSeguro, BigDecimal valorTaxaEmbarque, BigDecimal valorPedagio) throws Exception;

	public boolean isExisteBoletoPorCorrida(Integer corridaId, Date fecCorrida);
	
	public boolean isExisteBoletoPorCorridaOrigemIdOuDestinoId(Integer corridaId, Date fecCorrida, Integer origemId, Integer destinoId);
}