package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoExcecaoDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoExcecao;

@Repository("confRestricaoExcecaoDAO")
public class ConfRestricaoExcecaoHibernateDAO extends GenericHibernateDAO<ConfRestricaoExcecao, Integer>
		implements ConfRestricaoExcecaoDAO {

	@Autowired
	public ConfRestricaoExcecaoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
