package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoPtovtaDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoPtovta;

@Repository("confRestricaoPtovtaDAO")
public class ConfRestricaoPtovtaHibernateDAO extends GenericHibernateDAO<ConfRestricaoPtovta, Integer>
		implements ConfRestricaoPtovtaDAO {

	@Autowired
	public ConfRestricaoPtovtaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
