package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.FiscalAliquotaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.FiscalAliquotaEmpresa;

@Repository("fiscalAliquotaEmpresaDAO")
public class FiscalAliquotaEmpresaHibernateDAO extends GenericHibernateDAO<FiscalAliquotaEmpresa, Integer>
		implements FiscalAliquotaEmpresaDAO {

	@Autowired
	public FiscalAliquotaEmpresaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
}
