package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ParadaCodOrgaoConcedenteDAO;
import com.rjconsultores.ventaboletos.entidad.ParadaCodOrgaoConcedente;

@Repository("paradaCodOrgaoConcedenteDAO")
public class ParadaCodOrgaoConcedenteHibernateDAO extends GenericHibernateDAO<ParadaCodOrgaoConcedente, Integer>
		implements ParadaCodOrgaoConcedenteDAO {

	@Autowired
	public ParadaCodOrgaoConcedenteHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

}
