package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.SolicitudExpresosDAO;
import com.rjconsultores.ventaboletos.dao.TrayectosExpresosDAO;
import com.rjconsultores.ventaboletos.entidad.SolicitudExpreso;
import com.rjconsultores.ventaboletos.entidad.TrayectosExpresos;

@Repository("solicitudExpresosDAO")
public class SolicitudExpresosHibernateDAO extends GenericHibernateDAO<SolicitudExpreso, Integer> implements SolicitudExpresosDAO{
	@Autowired
    public SolicitudExpresosHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
}
