package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoDocAutobusDAO;
import com.rjconsultores.ventaboletos.entidad.TipoDocAutobus;

@Repository("tipoDocAutobusDAO")
public class TipoDocAutobusHibernateDAO extends GenericHibernateDAO<TipoDocAutobus, Integer>
implements TipoDocAutobusDAO {
	@Autowired
	public TipoDocAutobusHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
